Package org.kapott.hbci.passport.rdhXfile

# Class BankKeys

java.lang.Object
org.kapott.hbci.passport.rdhXfile.TLV
org.kapott.hbci.passport.rdhXfile.BankKeys

public class BankKeys extends TLV

## Constructor Summary

Constructors
Constructor
Description
`BankKeys()`
`BankKeys(TLV tlv)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBLZ()`
`String`
`getCountry()`
`HBCIKey`
`getHBCIKey()`
`String`
`getKeyType()`
`void`
`setBLZ(String blz)`
`void`
`setCountry(String country)`
`void`
`setKey(String keytype, HBCIKey key)`
`String`
`toString()`
`void`
`updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BankKeys

public BankKeys()

### BankKeys

public BankKeys(TLV tlv)

## Method Details

### getCountry

public String getCountry()

### setCountry

public void setCountry(String country)

### getBLZ

public String getBLZ()

### setBLZ

public void setBLZ(String blz)

### getKeyType

public String getKeyType()

### getHBCIKey

public HBCIKey getHBCIKey()

### setKey

public void setKey(String keytype, HBCIKey key)

### updateData

public void updateData()

Overrides:
  `updateData` in class `TLV`

### toString

public String toString()

Overrides:
  `toString` in class `Object`